Page tree
Skip to end of metadata
Go to start of metadata
Applies to:
  • Learning Environment 10.5+
  • ePortfolio 10.5+

These platform requirements apply to all versions in the listed series of products.

Desktop Browser Support for Desktop Web

BrowserSupported Browser Version(s)Maintenance Browser Version(s)
Microsoft Edge*Latestn/a
Microsoft Internet Explorern/a11
Mozilla FirefoxLatest, ESR (Extended Service Release)n/a
Google ChromeLatest

n/a

SafariLatestn/a

* While Microsoft Edge is supported by the vendor, we recommend using an alternate browser for the best user experience.

Tablet and Mobile Support

DeviceOperating SystemBrowserSupported Browser Version(s)
AndroidAndroid 4AndroidLatest
AppleiOS 6, 7, 8, and 9SafariLatest
Microsoft SurfaceWindows 8Internet Explorer11
BlackBerry (mobile only)Blackberry 7, 10BlackBerryLatest

Course import compatibility

The package formats below can be directly imported into Learning Environment using the Import option in the Import / Export / Copy Components tool.

  • Blackboard 6.x, 7.x, 8.x, 9.x
  • Common Cartridge 1.0, 1.1, 1.2, 1.3
  • Desire2learn 8.x
  • Respondus 2.0, 3.x
  • Scorm 1.2, 1.3 (2004)
  • WebCT CMU 1.x, 2.0

Course conversion compatibility

The package formats below can be converted to the Desire2Learn package format with a conversion tool, then imported into Learning Environment using the browser based import or Bulk Course Create. Contact D2L Support for more details.

  • Angel 7.3/7.4/8
  • Blackboard CE 6, CE 8
  • Blackboard Vista 4, 8
  • eCollege
  • Moodle 1.9/2.0/3.0
  • UCompass